@use "styles/helpers";

.profileAvatar {
  position: relative;

  input[type=file] {
    display: none;
  }

  label {
    cursor: pointer;
    position: relative;
    min-height: 150px;
    display: block;
    max-width: 150px;
  }

  &__edit {
    position: absolute;
    bottom: 5px;
    right: 0;
  }

  &__remove {
    bottom: 6px;
    position: absolute;
  }

  &__avatar {
    width: 150px;
    height: 150px;
    border-radius: 50%;
  }

  &__loadImage {
    width: 155px;
    height: 155px;
    background: #F0F0F0;
    border-radius: 50%;
    padding: 0 35px;
    text-align: center;

    &:hover {
      cursor: pointer;
    }

    span {
      font-weight: 300;
      font-size: 12px;
      line-height: 18px;
      color: #777777;
    }
  }

  &__control {
    max-width: 150px;

    img {
      cursor: pointer;
    }
  }
}

@media screen and (max-width: helpers.$widthMobile) {
  .profileAvatar {
    display: flex;
    justify-content: center;

    &__remove {
      padding-left: 10px;
    }
  }
}